<?php


namespace OTP\Objects;

interface IFormHandler
{
    public function unsetOTPSessionVariables();
    public function handle_post_verification($TG, $te, $j4, $xy, $sP, $yJ, $Cw);
    public function handle_failed_verification($te, $j4, $sP, $Cw);
    public function handleForm();
    public function handleFormOptions();
    public function getPhoneNumberSelector($fv);
    public function isLoginOrSocialForm($e4);
    public function is_ajax_form_in_play($Sy);
    public function getPhoneHTMLTag();
    public function getEmailHTMLTag();
    public function getBothHTMLTag();
    public function getFormKey();
    public function getFormName();
    public function getOtpTypeEnabled();
    public function disableAutoActivation();
    public function getPhoneKeyDetails();
    public function isFormEnabled();
    public function getEmailKeyDetails();
    public function getButtonText();
    public function getFormDetails();
    public function getVerificationType();
    public function getFormDocuments();
}
